/**CFile*******************************************************************
  PackageName [bdd]
  Synopsis    [Package 'bdd' enable symbolic computations by representing
               Boolean functions with ROBDDs.]

  FileName    [bddStubInit.c]
  Revision    [$Revision: 76 $]
  Date        [$Date: 2013-04-26 14:26:09 +0200 (pet, 26 apr 2013) $]
  Authors     [Robert Meolic (meolic@uni-mb.si)]
  Description [Generated by genStubs.tcl, see http://wiki.tcl.tk/3358]
  SeeAlso     [bdd.h, bdd.decls, bddDecls.h, bddStubLib.c]

  Copyright   [This file is part of EST (Efficient Symbolic Tools).
               Copyright (C) 2003, 2013
               UM-FERI, Smetanova ulica 17, SI-2000 Maribor, Slovenia

               EST is free software; you can redistribute it and/or modify
               it under the terms of the GNU General Public License as
               published by the Free Software Foundation; either version 2
               of the License, or (at your option) any later version.

               EST is distributed in the hope that it will be useful,
               but WITHOUT ANY WARRANTY; without even the implied warranty of
               MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
               GNU General Public License for more details.

               You should have received a copy of the GNU General Public
               License along with this program; if not, write to the Free
               Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
               Boston, MA 02110-1301 USA.]
  ************************************************************************/

#include "bdd.h"
#include "bddDecls.h"

#include <tcl.h>

/* !BEGIN!: Do not edit below this line. */

const BddStubs bddStubs = {
    TCL_STUB_MAGIC,
    0,
    &bdd_status, /* 0 */
    &bdd_termTrue, /* 1 */
    &bdd_termFalse, /* 2 */
    &bdd_termNull, /* 3 */
    Bdd_InitPkg, /* 4 */
    Bdd_ExitPkg, /* 5 */
    Bdd_AboutPkg, /* 6 */
    Bdd_GetThen, /* 7 */
    Bdd_GetElse, /* 8 */
    Bdd_GetVariable, /* 9 */
    Bdd_GetVariableName, /* 10 */
    Bdd_GetVariableChar, /* 11 */
    Bdd_GetIthVariableName, /* 12 */
    Bdd_GetVariableOrder, /* 13 */
    Bdd_FoaTerminal, /* 14 */
    Bdd_NOT, /* 15 */
    Bdd_TransferMark, /* 16 */
    Bdd_ITE, /* 17 */
    Bdd_Restrict, /* 18 */
    Bdd_Compose, /* 19 */
    Bdd_E, /* 20 */
    Bdd_A, /* 21 */
    Bdd_IncCounter, /* 22 */
    Bdd_Fresh, /* 23 */
    Bdd_Fortify, /* 24 */
    Bdd_Garbage, /* 25 */
    Bdd_SystemStat, /* 26 */
    Bdd_FunctionStat, /* 27 */
    Bdd_FindFormula, /* 28 */
    Bdd_AddFormula, /* 29 */
    Bdd_SaveFormula, /* 30 */
    Bdd_ExtractBranch, /* 31 */
    Bdd_Expand, /* 32 */
    Bdd_Expr, /* 33 */
    Bdd_WriteFunction, /* 34 */
    Bdd_WriteBDD, /* 35 */
    Bdd_WriteDot, /* 36 */
    Bdd_WriteBDDView, /* 37 */
    Bdd_WriteGraphML, /* 38 */
    Bdd_ReadGraphML, /* 39 */
    Bdd_RelOp, /* 40 */
    Bdd_RelOpSimple, /* 41 */
    Bdd_RelOpComplex, /* 42 */
    Bdd_NewState, /* 43 */
    Bdd_NewState1, /* 44 */
    Bdd_NewState2, /* 45 */
    Bdd_NewEq, /* 46 */
};

/* !END!: Do not edit above this line. */
